#include <iostream>
#include <sstream>
using namespace std;

const int N = 5;

int a[N][N];

int main() {
    string line;
    getline(cin, line);

    stringstream ss(line);
    for (int i = 0; i < N; i++) {
        for (int j = 0; j < N; j++) {
            if (i == j) {
                a[i][j] = 1; // 同家族之间是盟友关系
            } else {
                a[i][j] = 0; // 默认是中立关系
            }
        }
    }

    // 从输入中读入五个家族之间的关系
    for (int i = 0; i < N; i++) {
        ss >> a[i][i];
    }

    // 输出五个家族之间的关系矩阵
    for (int i = 0; i < N; i++) {
        for (int j = 0; j < N; j++) {
            cout << a[i][j] << ' ';
        }
        cout << endl;
    }

    return 0;
}

